Home > Ati Drivers > Ati Drivers Slackware 13.1

Ati Drivers Slackware 13.1

Probably wont work past 3.10x series kernels though. Will see if kernel 3.4 in /extra suits me, otherwise I'll keep playing in Windows. xterm Flickers a lot when drawing continuous output; When I'm in a workspace with fullscreen xterm, The gpu load stays at 12% in idle, and, with smaller xterm, smaller GPU load. share|improve this answer answered Feb 2 '15 at 9:21 SCK 114 With Ubuntu's driver, or with Catalyst? Check This Out

Install the module sh /lib/modules/fglrx/make_install.sh Configuring the X server If you have not installed the fglrx driver before, run: aticonfig --initial --input=/etc/X11/xorg.conf aticonfig --ovt=Xv This will add an fglrx 'Section "Device"' As always, any help is appreciated! You could create for instance a file named /etc/X11/xorg.conf.d/10-nvidia.conf with the following content: Section "Device" Identifier "Device0" Driver "nvidia" VendorName "Nvidia Corporation" BoardName "" EndSection Without this definition, you will not Also, If I jump to a console, (Ctrl_Alt_Fn) I get there - modeset if fine, but if I come back (Alt_F7) a hard reset is the only way out. https://docs.slackware.com/howtos:hardware:proprietary_graphics_drivers

02-apr-2017: Dokuwiki and its plugins were upgraded to the latest release. 28-mar-2016: Welcome to our new server! To avoid this, after making sure that the package source has been installed, do simply the following: #> cd /usr/src/linux #> cp /boot/config .config #> make running make, in addition to Mineral that explodes when cooling down Group think challenge SMD soldering: tiny components stick to tweezer point Word or phrase for "expensive mentally" Real square matrix as a sum of two

There is no central repository of these, so it is not possible to point you to a specific place to check for them (although the Unofficial ATI Bugzilla or Rage3D Linux chemfire View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by chemfire 11-09-2013, 04:30 PM #7 Captain Pinkeye Member Registered: Oct 2012 Location: Fglrx works well in Slackware 14.0 though, so you could downgrade. Open source Drivers: With open source drivers (xf86-video-ati-6.13.2) I hadn't the same slow draw problems, but, had other problems, that, for now, make it no viable solution.

Find More Posts by 01micko 12-02-2013, 02:41 AM #13 ninikos LQ Newbie Registered: Dec 2012 Posts: 22 Rep: Hi, I have successfully installed amd-driver-installer-catalyst-13.1-legacy-linux-x86.x86_64.run by 1. What is the issue with interactions in QFT? credits are given wherever due .... giving up.

fglrxinfo, if needed:Code: Select alldisplay: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 7800 Series
OpenGL version string: 4.3.12614 Compatibility Profile Context 13.25.18
happen: because the kernel source were not installed. Adam Comment Post Cancel business_kid Junior Member Join Date: Sep 2009 Posts: 38 #7 08-31-2010, 05:05 AM OK. Comment Post Cancel agd5f X.Org ATI Driver Developer Join Date: Dec 2007 Posts: 2777 #5 08-30-2010, 11:58 AM I don't know if slackware supports kms out of the box or not.

Your safest bet for picking the correct version is to use the “Latest Long Lived Branch version” but in some cases (very new graphics card, or display issues which you are more info here newbies like me!Any constructive comments are most welcome...Regards,Budhus Disclaimer: Have consulted whole lot of other websites other than those mention above and in previous post. How can I make the guns available, but not swords? To accomplish this, a file must be created in the “/etc/modprobe.d/” directory containing the text blacklist nouveau options nouveau modeset=0 and named appropriately; for instance, “disable_nouveau.conf” The first line will block

I dunno exactly how to describe the slow draw but I'll list some applications and symptoms. http://tbapplication.com/ati-drivers/ati-drivers-zip.html they are versioned as "" instead of "`uname -r`". All good.Uncompressing AMD Catalyst(TM) Proprietary Driver-8.97.100.7....................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................===================================================================== AMD Catalyst(TM) Proprietary Driver Installer/Packager =====================================================================Error: The distribution LinuxMint is not supportedRemoving temporary directory: fglrx-install.5Adbn0The distributions supported are: [email protected]:~$ '/Downloads/amd-driver-installer-catalyst-13.1-legacy-linux-x86.x86_64.run' --listpkgCreated directory fglrx-install.qWrARcVerifying archive integrity... Main Menu LQ Calendar LQ Rules LQ Sitemap Site FAQ View New Posts View Latest Posts Zero Reply Threads LQ Wiki Most Wanted Jeremy's Blog Report LQ Bug Syndicate Latest

Any file with a .conf extension will be included together with the main /etc/X11/xorg.conf file. The full article follows. So with external SlackBuild: #> sh ati-driver-installer--x86.x86_64.run --buildpkg custom-package/Only_Module With internal SlackBuild: #> sh ati-driver-installer--x86.x86_64.run --buildpkg Slackware/Only_Module Creating only fglrx-x package[edit] To create just the package containing the X.Org driver currently this contact form reinstall the mesa package ( upgradepkg --reinstall mesa-9.1.7-i486-1 ).

The program will then offer to use the nvidia-xconfig utility to modify the xorg.conf file to reflect the change in video drivers. Top macpepino Level 1 Posts: 1 Joined: Fri Mar 08, 2013 1:04 am Re: [SOLVED] AMD Catalyst™ 13.1 Proprietary Display Driver Quote Postby macpepino » Fri Mar 08, 2013 2:29 am BUT when i tried to build a package for Mint 14, it gives an error: Linux Mint not supported [email protected]:~/Downloads$ sudo sh amd-driver-inst*.run --buildpkg `lsb_release -is`/`lsb_release -cs`Created directory fglrx-install.5Adbn0Verifying archive integrity...

You saved my life and the life of "nomodeset" Sorry for my English.

Curiously also X seems to have closed up & gone home, but I'm still posting in this session. I don't know how much 3D do you need, but QuakeLive (a port of a 12 year old game) is way too much for this card. Also, if you want to revert to the kernel's own radeon/radeonhd drivers, you will have to remove the blacklist lines which you added earlier. ninikos View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by ninikos 12-02-2013, 01:29 PM #14 ninikos LQ Newbie Registered: Dec 2012 Posts:

To solve the problem it's necessary to use the external SlackBuild as described here. EDIT: Sorry, seems incompatible with the 14.1 xorg Last edited by 01micko; 11-09-2013 at 06:07 PM. grepping for RADEON was illuminating CONFIG_DRM_RADEON=m # CONFIG_DRM_RADEON_KMS is not set CONFIG_FB_RADEON=m CONFIG_FB_RADEON_I2C=y CONFIG_FB_RADEON_BACKLIGHT=y # CONFIG_FB_RADEON_DEBUG is not set @#$5?! http://tbapplication.com/ati-drivers/ati-drivers-8-8.html http://support.amd.com/us/gpudownload/linux/legacy/Pages/legacy-radeon_linux.aspxATI in addition to SUSE and Red Hat has also started to support select versions of Debian, Fedora, Mageia, Mandriva, Slackware and Ubuntu.

If it is not, then the open source xf86-video-ati driver should be sufficient, albeit a bit slower than the proprietary version. mirrored slackware64-14.1/sources/x/x11, replaced xorg-server-1.14.3 with xorg-server-1.12.3 and run x11.Slackbuild 3. This is the only driver with any support, either 2D or 3D, for the X1xxx series of cards (R500 and newer). Hence.

glxinfo is (as usual) weird. EndSection Section "Device" ... A hard reset is the only way out of this. 3 fingered salutes are ignored. You can also run: $ glxinfo Have a look at the first few lines of output to see if DRI is enabled.

There is some solution? It should return something like: display::0.0 screen: 0 OpenGL vendor string: ATI Technologies Inc. I used the driver when I was on kubuntu 12.04 and It used to work pretty good, but with all this stuff of xorg and amd driver not being compatible I've Chances are you will be good go.

It took its sweet time to load but now I can see the fish or rather a lot of fish for that matter The frame rate for 1366x633 resolution and 24 And special note to this: Full desktop effects from Debian and Ubuntu gnome appearance cpanel don't cause ANY problems, even the core and memory clocks don't increase when change workspace, minimize,